gnutls_pem_base64_encode_alloc(3)

NAME
gnutls_pem_base64_encode_alloc - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_pem_base64_encode_alloc(const char * msg, const gnutls_datum_t * data, gnutls_datum_t * result);

ARGUMENTS

const char * msg
    is a message to be put in the encoded header

const gnutls_datum_t * data
    contains the raw data

gnutls_datum_t * result
    will hold the newly allocated encoded data

DESCRIPTION
This function will convert the given data to printable data, using the base64 encoding. This is the encoding used in PEM messages. This function will allocate the required memory to hold the encoded data. You should use gnutls_free() to free the returned data.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/